﻿@model IEnumerable<CaseTecnicoWeb.Models.ViewModels.ColheitaViewModel>

@{
    ViewData["Title"] = "Listagem de colheitas";
}

<h1>Listagem de colheitas</h1>

<p>
    <a asp-action="Create">Cadastrar nova colheita</a>
</p>

@using (Html.BeginForm("Filtrar", "Colheita", FormMethod.Post))
{
    <div style="text-align: -webkit-center; background-color: #ececec; border-radius: 7px;">

        <div class="form-group col-md-12">
            <br />
            <div class="row">
                <div class="col-md-4">
                    <div class="col-md-12">
                        <label class="form-label" for="tipoConta">Arvore</label>
                        <br />
                        <select class="form-control  form-control-sm" name="arvore" id="arvore">
                            <option selected disabled value="0">*SELECIONE*</option>
                            @foreach (var item in ViewBag.Arvores)
                            {
                                <option value="@item.ArvoresId">@item.Descricao</option>
                            }
                        </select>
                    </div>
                </div>
                <div class="col-md-4">
                    <div class="col-md-12">
                        <label class="form-label" for="tipoConta">De</label>
                        <br />
                        <input min="2019-01-01" value="2019-01-01" type="date" class="form-control form-control-sm" name="de" id="de" />
                    </div>
                </div>
                <div class="col-md-4">
                    <div class="col-md-12">
                        <label class="form-label" for="tipoConta">Até</label>
                        <br />
                        <input type="date" min="2019-01-01" class="form-control form-control-sm" name="ate" id="ate" />
                    </div>
                </div>
            </div>
            <br />
            <div class="row">
                <div class="col-md-12 ">
                    <input type="submit" value="Filtrar" class="btn btn-sm btn-primary float-right" />
                </div>
            </div>
            <br />
        </div>
    </div>
}
<table class="table">
    <thead>
        <tr>
            <th>
                @Html.DisplayNameFor(model => model.ColheitaId)
            </th>
            <th>
                @Html.DisplayNameFor(model => model.Informacoes)
            </th>
            <th>
                @Html.DisplayNameFor(model => model.DataDaColheita)
            </th>
            <th>
                @Html.DisplayNameFor(model => model.PesoBruto)
            </th>
            <th>
                @Html.DisplayNameFor(model => model.ArvoresId)
            </th>
            <th></th>
        </tr>
    </thead>
    <tbody>
        @foreach (var item in Model)
        {
            <tr>
                <td>
                    @Html.DisplayFor(modelItem => item.ColheitaId)
                </td>
                <td>
                    @Html.DisplayFor(modelItem => item.Informacoes)
                </td>
                <td>
                    @Html.DisplayFor(modelItem => item.DataDaColheita)
                </td>
                <td>
                    @Html.DisplayFor(modelItem => item.PesoBruto)
                </td>
                <td>
                    @Html.DisplayFor(modelItem => item.Arvores.Descricao)
                </td>
                <td>
                    @Html.ActionLink("Editar", "Edit", new { id = item.ColheitaId }) |
                    @Html.ActionLink("Detalhar", "Details", new { id = item.ColheitaId }) |
                    @Html.ActionLink("Deletar", "Delete", new { id = item.ColheitaId })
                </td>
            </tr>
        }
    </tbody>
</table>
<script>
    $(document).ready(function () {

        var today = new Date();
        var dd = today.getDate();
        var mm = today.getMonth() + 1; //January is 0!
        var yyyy = today.getFullYear();
        if (dd < 10) {
            dd = '0' + dd
        }
        if (mm < 10) {
            mm = '0' + mm
        }

        today = yyyy + '-' + mm + '-' + dd;
        document.getElementById("de").setAttribute("max", today);
        document.getElementById("ate").setAttribute("max", today);
        document.getElementById("ate").setAttribute("value", today);
    });
</script>